Bug 47174 - libpcap-0.4-39.i386.rpm does not contain shared library libpcap.so.0
libpcap-0.4-39.i386.rpm does not contain shared library libpcap.so.0
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-07-03 16:22 EDT by Kevin Range
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-19 11:25:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Range 2001-07-03 16:22:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-0.2.9smp i686; en-US; 0.7)

Description of problem:
It would be nice if the libpcap rpm contained the shared library
libpcap.so.0 so other programs (e.g. tcptraceroute) would work

How reproducible:

Steps to Reproduce:
1.rpm -qpl libpcap-0.4-39.i386.rpm


Actual Results:  /usr/include/pcap

Expected Results:  There should be a /usr/lib/libpcap.so.0 or something

Additional info:
Comment 1 Daniel Roesen 2001-07-18 15:51:20 EDT
Indeed. I missed this shared lib ten minutes ago, too...
Comment 2 Harald Hoyer 2001-07-19 06:34:41 EDT
There is no libpcap.so target in the Makefile of the official libpcap tarball.
Comment 3 Kevin Range 2001-07-19 10:16:11 EDT
I took the liberty of reopening this bug as an enhancement.

While it may be true that "there is no libpcap.so target in the Makefile of the
official libpcap tarball",  Linux Mandrake includes one in their libpcap
packages.  As a matter of fact, I am using their libpcap-0.5-2mdk RPM right now.
If you would like I can take a look at their source RPM and let you know how
they got a shared library out of it.

I really like RedHat Linux much more than Mandrake, and I would hate to see such
a simple thing as this be a check for Mandrake and not for RedHat. Especially
since it is all Open Source/Free Software anyway, right?  I mean, we are
supposed to be cross pollinating and sharing ideas and enhancements right?
Comment 4 Harald Hoyer 2001-07-19 11:06:02 EDT
no problem. I can quickhack produce some shared library, too. ;)
The problem is: there is no official major.minor number for that library. OK, 
I can take the tarball version, but that does not assure the correct 
major/minor philosophie of library interfaces.
Comment 5 Kevin Range 2001-07-19 11:25:09 EDT
> there is no official major.minor number for that library

hmm... a subtlety I had overlooked.  It seems that Mandrake just uses the
tarball version, but I can see how that could potentially be problematic.
Maybe this should be taken up with the libpcap people.  For all we know they
could be numbering their tarballs in just such a way as to avoid this issue.
Or maybe they should start doing that...

The real question is what to do now: hack it, or leave it.  I say hack it.  It
won't be a problem until libpcap jumps to 1.x.  Until then somebody can try to
convince them to address this issue if they already haven't, and we RedHat users
aren't left out in the cold.
Comment 6 Harald Hoyer 2001-07-25 04:46:09 EDT

Note You need to log in before you can comment on or make changes to this bug.